Holger's Java API

## com.antelmann.sql
Class PropertyEntryHeaderStore<T extends EntryHeader<?>>

    java.lang.Object
      com.antelmann.db.WrappedDBClassStore<T>
          com.antelmann.sql.WrappedDBClassStoreMapping<T>
              com.antelmann.sql.PropertyEntryHeaderStore<T>

All Implemented Interfaces:
  DBClassStore<T>, ProcessedFilterOption<T>, TransactionRequired, MappingInfo, PropertyEntryMapping, ProcessorHook<T,DatabaseException>, Wrapped<DBClassStore<T>>

    public class PropertyEntryHeaderStore<T extends EntryHeader<?>>

extends WrappedDBClassStoreMapping<T>
implements PropertyEntryMapping

useful for mapping `EntryHeader` objects transparently to support the `PropertyEntry` interface on the header store (for filtering purposes)

Since:
  11.12.2009, 01:32:37
Author:
  holger

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.sql.PropertyEntryMapping
`PropertyEntryMapping.DetailKey`

Nested classes/interfaces inherited from interface com.antelmann.db.DBClassStore
`DBClassStore.DBMethod`

Field Summary

Fields inherited from class com.antelmann.sql.WrappedDBClassStoreMapping
`mi`

Fields inherited from class com.antelmann.db.WrappedDBClassStore
`store`

Constructor Summary
`PropertyEntryHeaderStore(DBClassStore<T> store, Class<E> propertyEntryType)`
`PropertyEntryHeaderStore(DBClassStore<T> headerStore, DBClassStore<E> propertyEntryStore)`
`PropertyEntryHeaderStore(DBClassStore<T> headerStore, PropertyEntryMapping pm, MappingInfo propertyEntryMappingInfo)`

Method Summary
`void` `deleteAttributeKey(String key)` deletes all property entries with the given key
`String` `getMappingForTopic(Object topic)` allows to determine whether a specific given topic maps to a distinct table, query or column name.
`Set<String>` `getPropertyKeys()` returns all property keys currently in the database
`Set<?>` `getValuesForProperty(String key)` returns all values for a given property key; if the key is null, all values are returned
`void` `renameAttributeKey(String oldName, String newName)` allows to rename an attribute key; note that only those attribute keys can be renamed where the new attribute key doesn't yet exist
`void` `replaceValuesForKey(String key, String oldValue, String newValue)` replaces all old values for the given key with the new value

Methods inherited from class com.antelmann.sql.WrappedDBClassStoreMapping
`addColumnsForTopic, addTopicMapping, getColumnDisplayMapping, getColumnNames, getColumnsForTopic, getColumnSize, getDisplayColumn, getDisplayNameForColumn, getIDColumn, getSQLTypeforColumn, getSupportedTopicColumns, getTableName, getTableQuery, removeColumnTopics, removeTopicMapping, setColumnsForTopic`

Methods inherited from class com.antelmann.db.WrappedDBClassStore

`add, checkReadAccess, checkWriteAccess, containsID, deleteEntries, deleteEntriesIndividually, deleteEntry, exposesInterfaces, fetch, fetchStubs, generateNewID, getAccessFilter, getAccessStubFilter, getDatabase, getEntry, getEntryClass, getFetchProcessor, getPreStoreHandler, getStoreHandler, getStub, getStubProcessor, insert, insertAsNew, isApplyFilterProcessingRecursively, isDeleteEntriesIndividually, isEnsureTransactionsOnFetch, isProcessBeforeFiltering, queryForInterface, remove, setAccessFilter, setAccessStubFilter, setApplyFilterProcessingRecursively, setDeleteEntriesIndividually, setEnsureTransactionsOnFetch, setExposesInterfaces, setFetchProcessor, setPreStoreHandler, setProcessBeforeFiltering, setProcessBeforeFiltering, setStoreHandler, setStubProcessor, size, unwrap, update, wrapFilterForProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyEntryHeaderStore

    public PropertyEntryHeaderStore(DBClassStore<T> store,
                                    Class<E> propertyEntryType)

### PropertyEntryHeaderStore

    public PropertyEntryHeaderStore(DBClassStore<T> headerStore,
                                    DBClassStore<E> propertyEntryStore)

### PropertyEntryHeaderStore

    public PropertyEntryHeaderStore(DBClassStore<T> headerStore,
                                    PropertyEntryMapping pm,
                                    MappingInfo propertyEntryMappingInfo)

Method Detail

### deleteAttributeKey

    public void deleteAttributeKey(String key)
                            throws SQLException

  Description copied from interface: `PropertyEntryMapping`
  deletes all property entries with the given key

  Specified by:
    `deleteAttributeKey` in interface `PropertyEntryMapping`
  Throws:
    `SQLException`

### getPropertyKeys

    public Set<String> getPropertyKeys()
                                throws SQLException

  Description copied from interface: `PropertyEntryMapping`
  returns all property keys currently in the database

  Specified by:
    `getPropertyKeys` in interface `PropertyEntryMapping`
  Throws:
    `SQLException`

### getValuesForProperty

    public Set<?> getValuesForProperty(String key)
                                throws SQLException

  Description copied from interface: `PropertyEntryMapping`
  returns all values for a given property key; if the key is null, all values are returned

  Specified by:
    `getValuesForProperty` in interface `PropertyEntryMapping`
  Throws:
    `SQLException`

### renameAttributeKey

    public void renameAttributeKey(String oldName,
                                   String newName)
                            throws SQLException,
                                   NullPointerException

  Description copied from interface: `PropertyEntryMapping`
  allows to rename an attribute key; note that only those attribute keys can be renamed where the new attribute key doesn't yet exist

  Specified by:
    `renameAttributeKey` in interface `PropertyEntryMapping`
  Throws:
    `SQLException`
    `NullPointerException`

### replaceValuesForKey

    public void replaceValuesForKey(String key,
                                    String oldValue,
                                    String newValue)
                             throws SQLException

  Description copied from interface: `PropertyEntryMapping`
  replaces all old values for the given key with the new value

  Specified by:
    `replaceValuesForKey` in interface `PropertyEntryMapping`
  Throws:
    `SQLException`

### getMappingForTopic

    public String getMappingForTopic(Object topic)

  Description copied from interface: `MappingInfo`
  allows to determine whether a specific given topic maps to a distinct table, query or column name.

  Specified by:
    `getMappingForTopic` in interface `MappingInfo`
  Overrides:
    `getMappingForTopic` in class `WrappedDBClassStoreMapping<T extends EntryHeader<?>>`
  Returns:
    either a table name, a column name, a query string or null - depending on the given topic

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads